Package: org.gradle.api

## [Java] Class InvalidActionClosureException

- org.gradle.api.InvalidActionClosureException

- Thrown when a groovy.lang.Closure is given as an Action implementation, but has the wrong signature.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `InvalidActionClosureException (groovy.lang.Closure<?> closure, Object argument)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Object` | `getArgument()` The argument the action was executed with.
    `groovy.lang.Closure<?>` | `getClosure()` The closure being used as an action.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public InvalidActionClosureException(groovy.lang.Closure<?> closure, Object argument)

  - ### Method Detail

    - #### public Object getArgument()

      The argument the action was executed with.

      Returns:
        The argument the action was executed with.

    - #### public groovy.lang.Closure<?> getClosure()

      The closure being used as an action.

      Returns:
        The closure being used as an action.